Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface PersonName

public interface PersonName

Represents a person's name.

Author:
  Farrukh S. Najmi

Method Summary
`java.lang.String` | `getFirstName()` Gets the first name for this Person.
`java.lang.String` | `getFullName()` Gets the fully formatted name for this person.
`java.lang.String` | `getLastName()` Gets the last name (surname) for this Person.
`java.lang.String` | `getMiddleName()` Gets the middle name for this Person.
`void` | `setFirstName(java.lang.String firstName)` Sets the first name for this Person.
`void` | `setFullName(java.lang.String fullName)` Sets the fully formatted name for this person.
`void` | `setLastName(java.lang.String lastName)` Sets the last name (surname) for this Person.
`void` | `setMiddleName(java.lang.String middleName)` Sets the middle name for this Person.

Method Detail

### getLastName

    public java.lang.String getLastName()
                                 throws JAXRException

  Gets the last name (surname) for this Person. Default is a NULL String.

  Capability Level: 1

  Returns:
    the person's last name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setLastName

    public void setLastName(java.lang.String lastName)
                     throws JAXRException

  Sets the last name (surname) for this Person.

  Capability Level: 1

  Parameters:
    `lastName` - the person's last name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getFirstName

    public java.lang.String getFirstName()
                                  throws JAXRException

  Gets the first name for this Person. Default is an empty String.

  Capability Level: 1

  Returns:
    the person's first name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setFirstName

    public void setFirstName(java.lang.String firstName)
                      throws JAXRException

  Sets the first name for this Person.

  Capability Level: 1

  Parameters:
    `firstName` - the person's first name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getMiddleName

    public java.lang.String getMiddleName()
                                   throws JAXRException

  Gets the middle name for this Person. Default is an empty String.

  Capability Level: 1

  Returns:
    the person's middle name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setMiddleName

    public void setMiddleName(java.lang.String middleName)
                       throws JAXRException

  Sets the middle name for this Person.

  Capability Level: 1

  Parameters:
    `middleName` - the person's middle name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getFullName

    public java.lang.String getFullName()
                                 throws JAXRException

  Gets the fully formatted name for this person. Default is an empty String.

  Capability Level: 0

  Returns:
    the person's full name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setFullName

    public void setFullName(java.lang.String fullName)
                     throws JAXRException

  Sets the fully formatted name for this person.

  Capability Level: 0

  Parameters:
    `fullName` - the person's full name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.